## evolution-ews 3.44.0

=== CMakeLists.txt ===
# Evolution-EWS build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution-ews
	VERSION 3.44.0
	LANGUAGES C)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_TESTS=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.62)
set(glib_encoded_version GLIB_VERSION_2_62)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.10)
set(gdk_encoded_version GDK_VERSION_3_10)

# Keep these two definitions in agreement.
set(soup_minimum_version 2.58)
set(soup_encoded_version SOUP_VERSION_2_58)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(evo_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(mspack_minimum_version 0.4)
set(libical_glib_minimum_version 3.0.5)
set(json_glib_minimum_version 1.0.4)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCSourceCompiles)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

if(${ENABLE_MAINTAINER_MODE})
	add_definitions(-DCAMEL_DISABLE_DEPRECATED=1 -DEDS_DISABLE_DEPRECATED=1)
endif(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

pkg_check_modules(CAMEL REQUIRED camel-1.2>=${eds_minimum_version})
pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED evolution-data-server-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEBACKEND REQUIRED libebackend-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEBOOK REQUIRED libebook-1.2>=${eds_minimum_version})
pkg_check_modules(LIBECAL REQUIRED libecal-2.0>=${eds_minimum_version})
pkg_check_modules(LIBEDATABOOK REQUIRED libedata-book-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEDATACAL REQUIRED libedata-cal-2.0>=${eds_minimum_version})
pkg_check_modules(LIBEDATASERVER REQUIRED libedataserver-1.2>=${eds_minimum_version})

pkg_check_modules(EVOLUTION_SHELL REQUIRED evolution-shell-3.0>=${evo_minimum_version})
pkg_check_modules(EVOLUTION_MAIL REQUIRED evolution-mail-3.0>=${evo_minimum_version})
pkg_check_modules(EVOLUTION_CALENDAR REQUIRED evolution-calendar-3.0>=${evo_minimum_version})

pkg_check_modules(GNOME_PLATFORM REQUIRED
	glib-2.0>=${glib_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
)

pkg_check_modules(SOUP REQUIRED libsoup-2.4>=${soup_minimum_version})

pkg_check_modules(LIBICAL_GLIB REQUIRED libical-glib>=${libical_glib_minimum_version})

pkg_check_modules(JSON_GLIB REQUIRED json-glib-1.0>=${json_glib_minimum_version})

# ******************************
# libmspack with OAB support
# ******************************

add_printable_option(WITH_MSPACK "Use libmspack for OAB decompress" ON)

if(WITH_MSPACK)
	pkg_check_modules_for_option(WITH_MSPACK "libmspack for OAB decompress" MSPACK libmspack>=${mspack_minimum_version})
endif(WITH_MSPACK)

# ******************************
# SOUP_MESSAGE_IDEMPOTENT flag
# ******************************

set(CMAKE_REQUIRED_INCLUDES ${SOUP_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${SOUP_LDFLAGS})

CHECK_C_SOURCE_COMPILES("#include <libsoup/soup.h>
			int main(void) { SoupMessageFlags flag; flag = SOUP_MESSAGE_IDEMPOTENT; return 0; }" HAVE_SOUP_MESSAGE_IDEMPOTENT_FLAG)

unset(CMAKE_REQUIRED_INCLUDES)
unset(CMAKE_REQUIRED_LIBRARIES)

# ******************************
# uhttpmock for tests
# ******************************

add_printable_option(ENABLE_TESTS "Enable low level tests for EwsConnection" OFF)

if(ENABLE_TESTS)
	pkg_check_modules_for_option(ENABLE_TESTS "low level tests" UHTTPMOCK libuhttpmock-0.0)
endif(ENABLE_TESTS)

# ******************************
# Office365 OAuth2 support
# ******************************

add_printable_variable(WITH_OFFICE365_TENANT "Office365.com OAuth 2.0 tenant" "")

if(WITH_OFFICE365_TENANT STREQUAL "")
	set(WITH_OFFICE365_TENANT "common")
endif(WITH_OFFICE365_TENANT STREQUAL "")

add_printable_variable(WITH_OFFICE365_CLIENT_ID "Office365.com OAuth 2.0 client ID" "")

if(WITH_OFFICE365_CLIENT_ID STREQUAL "")
	set(WITH_OFFICE365_CLIENT_ID "20460e5d-ce91-49af-a3a5-70b6be7486d1")
endif(WITH_OFFICE365_CLIENT_ID STREQUAL "")

add_printable_variable(WITH_OFFICE365_REDIRECT_URI "Office365.com OAuth 2.0 redirect URI" "")

if(WITH_OFFICE365_REDIRECT_URI STREQUAL "")
	set(WITH_OFFICE365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
endif(WITH_OFFICE365_REDIRECT_URI STREQUAL "")

add_printable_variable(WITH_OFFICE365_ENDPOINT_HOST "Office365.com OAuth 2.0 endpoint host" "")

if(WITH_OFFICE365_ENDPOINT_HOST STREQUAL "")
	set(WITH_OFFICE365_ENDPOINT_HOST "login.microsoftonline.com")
endif(WITH_OFFICE365_ENDPOINT_HOST STREQUAL "")

# ******************************
# Microsoft365 OAuth2 support (v2.0)
# ******************************

add_printable_variable(WITH_MICROSOFT365_TENANT "Microsoft 365 OAuth 2.0 tenant" "")

if(WITH_MICROSOFT365_TENANT STREQUAL "")
	set(WITH_MICROSOFT365_TENANT "common")
endif(WITH_MICROSOFT365_TENANT STREQUAL "")

add_printable_variable(WITH_MICROSOFT365_CLIENT_ID "Microsoft 365 OAuth 2.0 client ID" "")

if(WITH_MICROSOFT365_CLIENT_ID STREQUAL "")
	set(WITH_MICROSOFT365_CLIENT_ID "20460e5d-ce91-49af-a3a5-70b6be7486d1")
endif(WITH_MICROSOFT365_CLIENT_ID STREQUAL "")

add_printable_variable(WITH_MICROSOFT365_REDIRECT_URI "Microsoft 365 OAuth 2.0 redirect URI" "")

if(WITH_MICROSOFT365_REDIRECT_URI STREQUAL "")
	set(WITH_MICROSOFT365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
endif(WITH_MICROSOFT365_REDIRECT_URI STREQUAL "")

add_printable_variable(WITH_MICROSOFT365_ENDPOINT_HOST "Microsoft 365 OAuth 2.0 endpoint host" "")

if(WITH_MICROSOFT365_ENDPOINT_HOST STREQUAL "")
	set(WITH_MICROSOFT365_ENDPOINT_HOST "login.microsoftonline.com")
endif(WITH_MICROSOFT365_ENDPOINT_HOST STREQUAL "")

# ******************************
# Special directories
# ******************************

set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")

pkg_check_variable(camel_providerdir camel-1.2 camel_providerdir)
pkg_check_variable(ebook_backenddir libedata-book-1.2 backenddir)
pkg_check_variable(ecal_backenddir libedata-cal-2.0 backenddir)
pkg_check_variable(eds_moduledir libebackend-1.2 moduledir)
pkg_check_variable(ewsdatadir evolution-data-server-1.2 privdatadir)
pkg_check_variable(evo_privlibdir evolution-shell-3.0 privlibdir)
pkg_check_variable(errordir evolution-shell-3.0 errordir)
pkg_check_variable(evo_moduledir evolution-shell-3.0 moduledir)

add_printable_variable(FORCE_INSTALL_PREFIX "Whether to force install evolution-data-server and evolution files into the install prefix" OFF)
if(FORCE_INSTALL_PREFIX)
	pkg_check_variable(eds_prefix evolution-data-server-1.2 prefix)
	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" camel_providerdir "${camel_providerdir}")
	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" ebook_backenddir "${ebook_backenddir}")
	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" ecal_backenddir "${ecal_backenddir}")
	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" eds_moduledir "${eds_moduledir}")
	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" ewsdatadir "${ewsdatadir}")

	pkg_check_variable(evo_prefix evolution-shell-3.0 prefix)
	string(REGEX REPLACE "^${evo_prefix}" "${CMAKE_INSTALL_PREFIX}" errordir "${errordir}")
	string(REGEX REPLACE "^${evo_prefix}" "${CMAKE_INSTALL_PREFIX}" evo_moduledir "${evo_moduledir}")
endif(FORCE_INSTALL_PREFIX)

set(ewsdatadir "${ewsdatadir}/ews")

SET(CMAKE_INSTALL_RPATH "${privlibdir}:${evo_privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

# Generate the ${PROJECT_NAME}-config.h file
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.h)

print_build_options()

add_appdata_file(org.gnome.Evolution-ews.metainfo.xml.in org.gnome.Evolution-ews.metainfo.xml)

add_subdirectory(po)

=== tests/CMakeLists.txt ===
macro(add_ews_test _name)
	set(DEPENDENCIES
		evolution-ews
	)

	set(SOURCES
		ews-test-common.c
		ews-test-common.h
	)

	add_executable(${_name}
		${SOURCES}
		${ARGN}
	)

	add_dependencies(${_name}
		${DEPENDENCIES}
	)

	target_compile_definitions(${_name} PRIVATE
		-DG_LOG_DOMAIN=\"${_name}\"
		-DTEST_FILE_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
		-DCALENDAR_MODULE_DIR=\"${CMAKE_BINARY_DIR}/src/calendar/\"
	)

	target_compile_options(${_name} PUBLIC
		${LIBECAL_CFLAGS}
		${LIBEDATASERVER_CFLAGS}
		${UHTTPMOCK_CFLAGS}
	)

	target_include_directories(${_name} PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_SOURCE_DIR}
		${CMAKE_BINARY_DIR}/src/EWS
		${CMAKE_SOURCE_DIR}/src/EWS
		${LIBECAL_INCLUDE_DIRS}
		${LIBEDATASERVER_INCLUDE_DIRS}
		${UHTTPMOCK_INCLUDE_DIRS}
	)

	target_link_libraries(${_name}
		${DEPENDENCIES}
		${LIBECAL_LDFLAGS}
		${LIBEDATASERVER_LDFLAGS}
		${UHTTPMOCK_LDFLAGS}
	)

	add_check_test(${_name})
endmacro(add_ews_test)

add_ews_test(ews-test-camel ews-test-camel.c)
add_ews_test(ews-test-timezones ews-test-timezones.c)

=== src/EWS/evolution/CMakeLists.txt ===
add_error_files(configuration module-ews-configuration.error)

set(extra_deps
	camelews-priv
)
set(sources
	module-ews-configuration.c
	e-cal-config-ews.c
	e-cal-config-ews.h
	e-book-config-ews.c
	e-book-config-ews.h
	e-mail-config-ews-autodiscover.c
	e-mail-config-ews-autodiscover.h
	e-mail-config-ews-backend.c
	e-mail-config-ews-backend.h
	e-mail-config-ews-gal.c
	e-mail-config-ews-gal.h
	e-mail-config-ews-notebook.c
	e-mail-config-ews-notebook.h
	e-mail-config-ews-oal-combo-box.c
	e-mail-config-ews-oal-combo-box.h
	e-mail-config-ews-delegates-page.c
	e-mail-config-ews-delegates-page.h
	e-mail-config-ews-folder-sizes-page.c
	e-mail-config-ews-folder-sizes-page.h
	e-mail-config-ews-offline-options.c
	e-mail-config-ews-offline-options.h
	e-mail-config-ews-ooo-page.c
	e-mail-config-ews-ooo-page.h
	e-mail-formatter-ews-sharing-metadata.c
	e-mail-formatter-ews-sharing-metadata.h
	e-mail-parser-ews-multipart-mixed.c
	e-mail-parser-ews-multipart-mixed.h
	e-mail-parser-ews-sharing-metadata.c
	e-mail-parser-ews-sharing-metadata.h
	e-mail-part-ews-sharing-metadata.c
	e-mail-part-ews-sharing-metadata.h
	e-ews-config-lookup.c
	e-ews-config-lookup.h
	e-ews-config-ui-extension.c
	e-ews-config-ui-extension.h
	e-ews-config-utils.c
	e-ews-config-utils.h
	e-ews-edit-folder-permissions.c
	e-ews-edit-folder-permissions.h
	e-ews-search-user.c
	e-ews-search-user.h
	e-ews-subscribe-foreign-folder.c
	e-ews-subscribe-foreign-folder.h
	e-ews-ooo-notificator.c
	e-ews-ooo-notificator.h
	e-ews-photo-source.c
	e-ews-photo-source.h
)
set(extra_defines)
set(extra_cflags
	${EVOLUTION_MAIL_CFLAGS}
	${EVOLUTION_SHELL_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEBOOK_CFLAGS}
)
set(extra_incdirs
	${EVOLUTION_MAIL_INCLUDE_DIRS}
	${EVOLUTION_SHELL_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEBOOK_INCLUDE_DIRS}
)
set(extra_ldflags
	${EVOLUTION_MAIL_LDFLAGS}
	${EVOLUTION_SHELL_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEBOOK_LDFLAGS}
)

add_simple_module(module-ews-configuration
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
	"${evo_moduledir}"
)

=== src/Microsoft365/registry/CMakeLists.txt ===
set(extra_deps)
set(sources
	module-m365-backend.c
	e-m365-backend.c
	e-m365-backend.h
	e-m365-backend-factory.c
	e-m365-backend-factory.h
	e-source-m365-deltas.c
	e-source-m365-deltas.h
)
set(extra_defines)
set(extra_cflags)
set(extra_incdirs)
set(extra_ldflags)

add_simple_module_m365(module-microsoft365-backend
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
	"${eds_moduledir}"
)

=== debian/changelog ===
evolution-ews (3.44.0-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.44.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 08:38:44 -0400

evolution-ews (3.43.3-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.43.3

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 08:15:26 -0500

evolution-ews (3.43.2-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.43.2

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 11:54:35 -0500

evolution-ews (3.42.4-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.42.4

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 09:16:41 -0500

evolution-ews (3.42.3-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.42.3

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Jan 2022 05:38:51 -0500

evolution-ews (3.42.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated evolution requirements
  * debian/patches/Contacts-Retrieve-user-certificate.patch:
    - removed since the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Nov 2021 17:23:27 +0100

evolution-ews (3.42.0-2) unstable; urgency=medium

  * Cherry-pick patch to retrieve S/MIME certificates (Closes: #994252)
    (LP: #1943450)
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Sep 2021 19:27:04 -0400

evolution-ews (3.42.0-1) experimental; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.42.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 16:55:27 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Michael Biebl <biebl@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.44.0),
               evolution-data-server-dev (>= 3.44.0),
               libcamel1.2-dev (>= 3.44.0),
               libedataserver1.2-dev (>= 3.44.0),
               libebackend1.2-dev (>= 3.44.0),
               libecal2.0-dev (>= 3.44.0),
               libedata-cal2.0-dev (>= 3.44.0),
               libebook1.2-dev (>= 3.44.0),
               libedata-book1.2-dev (>= 3.44.0),
               libglib2.0-dev (>= 2.62),
               libgtk-3-dev (>= 3.0),
               libjson-glib-dev,
               libmspack-dev (>= 0.4),
               libsoup2.4-dev (>= 2.42),
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
Homepage: https://wiki.gnome.org/Apps/Evolution

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= ${evo:Version}),
         evolution (<< ${evo:NextVersion}),
         evolution-data-server (>= ${eds:Version}),
         evolution-data-server (<< ${eds:NextVersion}),
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but
 it supports the Exchange 2007 version.

## evolution-ews 3.46.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.44.0
+	VERSION 3.46.0
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")
 
@@ -18,16 +18,16 @@
 )
 
 # Keep these two definitions in agreement.
-set(glib_minimum_version 2.62)
-set(glib_encoded_version GLIB_VERSION_2_62)
+set(glib_minimum_version 2.68)
+set(glib_encoded_version GLIB_VERSION_2_68)
 
 # Keep these two definitions in agreement.
 set(gdk_minimum_version 3.10)
 set(gdk_encoded_version GDK_VERSION_3_10)
 
 # Keep these two definitions in agreement.
-set(soup_minimum_version 2.58)
-set(soup_encoded_version SOUP_VERSION_2_58)
+set(soup_minimum_version 3.0)
+set(soup_encoded_version SOUP_VERSION_3_0)
 
 # Warn about API usage that violates our minimum requirements.
 add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
@@ -47,6 +47,7 @@
 set(mspack_minimum_version 0.4)
 set(libical_glib_minimum_version 3.0.5)
 set(json_glib_minimum_version 1.0.4)
+set(uhttpmock_minimum_version 0.9)
 
 # Load modules from the source tree
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -139,7 +140,7 @@
 	gtk+-3.0>=${gdk_minimum_version}
 )
 
-pkg_check_modules(SOUP REQUIRED libsoup-2.4>=${soup_minimum_version})
+pkg_check_modules(SOUP REQUIRED libsoup-3.0>=${soup_minimum_version})
 
 pkg_check_modules(LIBICAL_GLIB REQUIRED libical-glib>=${libical_glib_minimum_version})
 
@@ -175,7 +176,7 @@
 add_printable_option(ENABLE_TESTS "Enable low level tests for EwsConnection" OFF)
 
 if(ENABLE_TESTS)
-	pkg_check_modules_for_option(ENABLE_TESTS "low level tests" UHTTPMOCK libuhttpmock-0.0)
+	pkg_check_modules_for_option(ENABLE_TESTS "low level tests" UHTTPMOCK libuhttpmock-1.0>=${uhttpmock_minimum_version})
 endif(ENABLE_TESTS)
 
 # ******************************
@@ -281,6 +282,3 @@
 
 print_build_options()
 
-add_appdata_file(org.gnome.Evolution-ews.metainfo.xml.in org.gnome.Evolution-ews.metainfo.xml)
-
-add_subdirectory(po)

=== debian/changelog ===
evolution-ews (3.46.0-2) unstable; urgency=medium

  * Drop the patch for now since it is incomplete (Closes: #1019962)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 17 Sep 2022 06:45:12 -0400

evolution-ews (3.46.0-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.46.0
  * Cherry-pick patch to limit appointment subject length

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 15:55:40 -0400

evolution-ews (3.45.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 16:17:49 -0400

evolution-ews (3.45.3-1) experimental; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.45.3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 04:25:14 -0400

evolution-ews (3.45.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Update Build-Depends for evolution 3.45.2 & libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 14:51:59 -0400

evolution-ews (3.44.4-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.44.4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 08:52:45 -0400

evolution-ews (3.44.3-2) unstable; urgency=medium

  * Update dependencies in debian/control too

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Jul 2022 18:04:05 -0400

evolution-ews (3.44.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump dependencies to 3.44.3

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 01 Jul 2022 16:24:38 -0300

evolution-ews (3.44.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.44.2
  * Drop patch: applied in new release

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Update standards version to 4.6.0, no changes needed.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Jun 2022 16:50:37 -0400

evolution-ews (3.44.1-2) unstable; urgency=medium

  * Cherry-pick patch to fix running GNOME Contacts 42 (Closes: #1009660)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 29 Apr 2022 15:38:36 -0400

evolution-ews (3.44.1-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.44.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 22 Apr 2022 11:01:36 -0400

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,29 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.44.0),
-               evolution-data-server-dev (>= 3.44.0),
-               libcamel1.2-dev (>= 3.44.0),
-               libedataserver1.2-dev (>= 3.44.0),
-               libebackend1.2-dev (>= 3.44.0),
-               libecal2.0-dev (>= 3.44.0),
-               libedata-cal2.0-dev (>= 3.44.0),
-               libebook1.2-dev (>= 3.44.0),
-               libedata-book1.2-dev (>= 3.44.0),
+               evolution-dev (>= 3.46.0),
+               evolution-data-server-dev (>= 3.46.0),
+               libcamel1.2-dev (>= 3.46.0),
+               libedataserver1.2-dev (>= 3.46.0),
+               libebackend1.2-dev (>= 3.46.0),
+               libecal2.0-dev (>= 3.46.0),
+               libedata-cal2.0-dev (>= 3.46.0),
+               libebook1.2-dev (>= 3.46.0),
+               libedata-book1.2-dev (>= 3.46.0),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
                libmspack-dev (>= 0.4),
-               libsoup2.4-dev (>= 2.42),
+               libsoup-3.0-dev,
                intltool (>= 0.35.5),
                libsqlite3-dev,
                pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
 Homepage: https://wiki.gnome.org/Apps/Evolution

## evolution-ews 3.46.2

=== debian/changelog ===
evolution-ews (3.46.2-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.46.2
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 08:17:39 -0500

evolution-ews (3.46.1-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.46.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Oct 2022 12:59:01 -0400

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.46.0),
-               evolution-data-server-dev (>= 3.46.0),
-               libcamel1.2-dev (>= 3.46.0),
-               libedataserver1.2-dev (>= 3.46.0),
-               libebackend1.2-dev (>= 3.46.0),
-               libecal2.0-dev (>= 3.46.0),
-               libedata-cal2.0-dev (>= 3.46.0),
-               libebook1.2-dev (>= 3.46.0),
-               libedata-book1.2-dev (>= 3.46.0),
+               evolution-dev (>= 3.46.2),
+               evolution-data-server-dev (>= 3.46.2),
+               libcamel1.2-dev (>= 3.46.2),
+               libedataserver1.2-dev (>= 3.46.2),
+               libebackend1.2-dev (>= 3.46.2),
+               libecal2.0-dev (>= 3.46.2),
+               libedata-cal2.0-dev (>= 3.46.2),
+               libebook1.2-dev (>= 3.46.2),
+               libedata-book1.2-dev (>= 3.46.2),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
@@ -29,6 +29,7 @@
                libsqlite3-dev,
                pkg-config,
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
 Homepage: https://wiki.gnome.org/Apps/Evolution

## evolution-ews 3.46.3

=== debian/changelog ===
evolution-ews (3.46.3-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.46.3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 11:53:07 -0500

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.46.2),
-               evolution-data-server-dev (>= 3.46.2),
-               libcamel1.2-dev (>= 3.46.2),
-               libedataserver1.2-dev (>= 3.46.2),
-               libebackend1.2-dev (>= 3.46.2),
-               libecal2.0-dev (>= 3.46.2),
-               libedata-cal2.0-dev (>= 3.46.2),
-               libebook1.2-dev (>= 3.46.2),
-               libedata-book1.2-dev (>= 3.46.2),
+               evolution-dev (>= 3.46.3),
+               evolution-data-server-dev (>= 3.46.3),
+               libcamel1.2-dev (>= 3.46.3),
+               libedataserver1.2-dev (>= 3.46.3),
+               libebackend1.2-dev (>= 3.46.3),
+               libecal2.0-dev (>= 3.46.3),
+               libedata-cal2.0-dev (>= 3.46.3),
+               libebook1.2-dev (>= 3.46.3),
+               libedata-book1.2-dev (>= 3.46.3),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,

## evolution-ews 3.46.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.46.0
+	VERSION 3.46.4
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== src/EWS/calendar/CMakeLists.txt ===
install(FILES windowsZones.xml
	DESTINATION ${ewsdatadir}
)

# helper static library

set(DEPENDENCIES
	evolution-ews
)

add_library(ews-m365 STATIC
	e-cal-backend-ews-m365.h
	e-cal-backend-ews-m365.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/camel-m365-settings.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/camel-m365-settings.h
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-connection.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-connection.h
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-json-utils.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-json-utils.h
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-tz-utils.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-tz-utils.h
	${CMAKE_SOURCE_DIR}/src/Microsoft365/calendar/e-cal-backend-m365-utils.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/calendar/e-cal-backend-m365-utils.h
)

add_dependencies(ews-m365
	${DEPENDENCIES}
)

target_compile_definitions(ews-m365 PRIVATE
	-DG_LOG_DOMAIN=\"ecalbackendews-m365\"
	-DM365_DATADIR=\"${ewsdatadir}\"
)

target_compile_options(ews-m365 PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_CALENDAR_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(ews-m365 PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/EWS
	${CMAKE_SOURCE_DIR}/src/EWS
	${CMAKE_BINARY_DIR}/src/Microsoft365
	${CMAKE_SOURCE_DIR}/src/Microsoft365
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(ews-m365
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${EVOLUTION_CALENDAR_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

# the main module

set(DEPENDENCIES
	evolution-ews
	ews-m365
)

set(SOURCES
	e-cal-backend-ews.c
	e-cal-backend-ews.h
	e-cal-backend-ews-factory.c
	e-cal-backend-ews-m365.h
	e-cal-backend-ews-utils.c
	e-cal-backend-ews-utils.h
)

add_library(ecalbackendews MODULE
	${SOURCES}
)

add_dependencies(ecalbackendews
	${DEPENDENCIES}
)

set_target_properties(ecalbackendews PROPERTIES
	C_VISIBILITY_PRESET hidden
)

target_compile_definitions(ecalbackendews PRIVATE
	-DG_LOG_DOMAIN=\"ecalbackendews\"
	-DEXCHANGE_EWS_DATADIR=\"${ewsdatadir}\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DEXCHANGE_EWS_SRCDIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
)

target_compile_options(ecalbackendews PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_CALENDAR_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(ecalbackendews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/EWS
	${CMAKE_SOURCE_DIR}/src/EWS
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(ecalbackendews
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${EVOLUTION_CALENDAR_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS ecalbackendews
	DESTINATION ${ecal_backenddir}
)

=== src/EWS/evolution/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,8 @@
 	e-mail-parser-ews-sharing-metadata.h
 	e-mail-part-ews-sharing-metadata.c
 	e-mail-part-ews-sharing-metadata.h
+	e-ews-comp-editor-extension.c
+	e-ews-comp-editor-extension.h
 	e-ews-config-lookup.c
 	e-ews-config-lookup.h
 	e-ews-config-ui-extension.c
@@ -56,18 +58,21 @@
 set(extra_cflags
 	${EVOLUTION_MAIL_CFLAGS}
 	${EVOLUTION_SHELL_CFLAGS}
+	${EVOLUTION_CALENDAR_CFLAGS}
 	${LIBECAL_CFLAGS}
 	${LIBEBOOK_CFLAGS}
 )
 set(extra_incdirs
 	${EVOLUTION_MAIL_INCLUDE_DIRS}
 	${EVOLUTION_SHELL_INCLUDE_DIRS}
+	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
 	${LIBECAL_INCLUDE_DIRS}
 	${LIBEBOOK_INCLUDE_DIRS}
 )
 set(extra_ldflags
 	${EVOLUTION_MAIL_LDFLAGS}
 	${EVOLUTION_SHELL_LDFLAGS}
+	${EVOLUTION_CALENDAR_LDFLAGS}
 	${LIBECAL_LDFLAGS}
 	${LIBEBOOK_LDFLAGS}
 )

=== src/Microsoft365/addressbook/CMakeLists.txt ===
set(DEPENDENCIES
	evolution-microsoft365
)

set(SOURCES
	e-book-backend-m365.c
	e-book-backend-m365.h
	e-book-backend-m365-factory.c
)

add_library(ebookbackendmicrosoft365 MODULE
	${SOURCES}
)

add_dependencies(ebookbackendmicrosoft365
	${DEPENDENCIES}
)

target_compile_definitions(ebookbackendmicrosoft365 PRIVATE
	-DG_LOG_DOMAIN=\"ebookbackendmicrosoft365\"
	-DBACKENDDIR=\"${ebook_backenddir}\"
	-DM365_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(ebookbackendmicrosoft365 PUBLIC
	${LIBEBACKEND_CFLAGS}
	${LIBEBOOK_CFLAGS}
	${LIBEDATABOOK_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBICAL_GLIB_CFLAGS}
	${MSPACK_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(ebookbackendmicrosoft365 PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/Microsoft365
	${CMAKE_SOURCE_DIR}/src/Microsoft365
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBEBOOK_INCLUDE_DIRS}
	${LIBEDATABOOK_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBICAL_GLIB_INCLUDE_DIRS}
	${MSPACK_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(ebookbackendmicrosoft365
	${DEPENDENCIES}
	${LIBEBACKEND_LDFLAGS}
	${LIBEBOOK_LDFLAGS}
	${LIBEDATABOOK_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBICAL_GLIB_LDFLAGS}
	${MATH_LDFLAGS}
	${MSPACK_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS ebookbackendmicrosoft365
	DESTINATION ${ebook_backenddir}
)

=== src/Microsoft365/calendar/CMakeLists.txt ===
set(DEPENDENCIES
	evolution-microsoft365
)

set(SOURCES
	e-cal-backend-m365.c
	e-cal-backend-m365.h
	e-cal-backend-m365-factory.c
	e-cal-backend-m365-utils.c
	e-cal-backend-m365-utils.h
)

add_library(ecalbackendmicrosoft365 MODULE
	${SOURCES}
)

add_dependencies(ecalbackendmicrosoft365
	${DEPENDENCIES}
)

target_compile_definitions(ecalbackendmicrosoft365 PRIVATE
	-DG_LOG_DOMAIN=\"ecalbackendmicrosoft365\"
	-DM365_DATADIR=\"${ewsdatadir}\"
	-DM365_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DM365_SRCDIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
)

target_compile_options(ecalbackendmicrosoft365 PUBLIC
	${CAMEL_CFLAGS}
	${EVOLUTION_CALENDAR_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(ecalbackendmicrosoft365 PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/Microsoft365
	${CMAKE_SOURCE_DIR}/src/Microsoft365
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(ecalbackendmicrosoft365
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${EVOLUTION_CALENDAR_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS ecalbackendmicrosoft365
	DESTINATION ${ecal_backenddir}
)

=== src/Microsoft365/camel/CMakeLists.txt ===
install(FILES libcamelmicrosoft365.urls
	DESTINATION ${camel_providerdir}
)

set(DEPENDENCIES
	evolution-microsoft365
)

set(SOURCES
	camel-m365-folder.c
	camel-m365-folder.h
	camel-m365-folder-summary.c
	camel-m365-folder-summary.h
	camel-m365-message-info.c
	camel-m365-message-info.h
	camel-m365-provider.c
	camel-m365-store.c
	camel-m365-store.h
	camel-m365-store-summary.c
	camel-m365-store-summary.h
	camel-m365-transport.c
	camel-m365-transport.h
	camel-m365-utils.c
	camel-m365-utils.h
)

add_library(camelmicrosoft365 MODULE
	${SOURCES}
)

add_dependencies(camelmicrosoft365
	${DEPENDENCIES}
)

target_compile_definitions(camelmicrosoft365 PRIVATE
	-DG_LOG_DOMAIN=\"camel-microsoft365-provider\"
	-DM365_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(camelmicrosoft365 PUBLIC
	${CAMEL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBECAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(camelmicrosoft365 PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/Microsoft365
	${CMAKE_SOURCE_DIR}/src/Microsoft365
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(camelmicrosoft365
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS camelmicrosoft365
	DESTINATION ${camel_providerdir}
)

=== src/Microsoft365/evolution/CMakeLists.txt ===
set(sources
	e-cal-config-m365.c
	e-cal-config-m365.h
	e-book-config-m365.c
	e-book-config-m365.h
	e-mail-config-m365-backend.c
	e-mail-config-m365-backend.h
	module-m365-configuration.c
)
set(extra_deps)
set(extra_defines)
set(extra_cflags
	${EVOLUTION_MAIL_CFLAGS}
	${EVOLUTION_SHELL_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEBOOK_CFLAGS}
)
set(extra_incdirs
	${EVOLUTION_MAIL_INCLUDE_DIRS}
	${EVOLUTION_SHELL_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEBOOK_INCLUDE_DIRS}
)
set(extra_ldflags
	${EVOLUTION_MAIL_LDFLAGS}
	${EVOLUTION_SHELL_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEBOOK_LDFLAGS}
)

add_simple_module_m365(module-microsoft365-configuration
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
	"${evo_moduledir}"
)

=== debian/changelog ===
evolution-ews (3.46.4-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.46.4
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Feb 2023 07:23:52 -0500

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.46.3),
-               evolution-data-server-dev (>= 3.46.3),
-               libcamel1.2-dev (>= 3.46.3),
-               libedataserver1.2-dev (>= 3.46.3),
-               libebackend1.2-dev (>= 3.46.3),
-               libecal2.0-dev (>= 3.46.3),
-               libedata-cal2.0-dev (>= 3.46.3),
-               libebook1.2-dev (>= 3.46.3),
-               libedata-book1.2-dev (>= 3.46.3),
+               evolution-dev (>= 3.46.4),
+               evolution-data-server-dev (>= 3.46.4),
+               libcamel1.2-dev (>= 3.46.4),
+               libedataserver1.2-dev (>= 3.46.4),
+               libebackend1.2-dev (>= 3.46.4),
+               libecal2.0-dev (>= 3.46.4),
+               libedata-cal2.0-dev (>= 3.46.4),
+               libebook1.2-dev (>= 3.46.4),
+               libedata-book1.2-dev (>= 3.46.4),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
@@ -28,7 +28,7 @@
                intltool (>= 0.35.5),
                libsqlite3-dev,
                pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git

## evolution-ews 3.48.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.46.4
+	VERSION 3.48.0
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== debian/changelog ===
evolution-ews (3.48.0-1) experimental; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.48.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 12:17:09 -0400

evolution-ews (3.47.3-1) experimental; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.47.3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Mar 2023 07:18:28 -0500

evolution-ews (3.47.2-1) experimental; urgency=medium

  * New upstream release (for GNOME 44)
  * Bump evolution and evolution-data-server build dependencies to >= 3.47.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Feb 2023 12:54:12 -0500

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.46.4),
-               evolution-data-server-dev (>= 3.46.4),
-               libcamel1.2-dev (>= 3.46.4),
-               libedataserver1.2-dev (>= 3.46.4),
-               libebackend1.2-dev (>= 3.46.4),
-               libecal2.0-dev (>= 3.46.4),
-               libedata-cal2.0-dev (>= 3.46.4),
-               libebook1.2-dev (>= 3.46.4),
-               libedata-book1.2-dev (>= 3.46.4),
+               evolution-dev (>= 3.48.0),
+               evolution-data-server-dev (>= 3.48.0),
+               libcamel1.2-dev (>= 3.48.0),
+               libedataserver1.2-dev (>= 3.48.0),
+               libebackend1.2-dev (>= 3.48.0),
+               libecal2.0-dev (>= 3.48.0),
+               libedata-cal2.0-dev (>= 3.48.0),
+               libebook1.2-dev (>= 3.48.0),
+               libedata-book1.2-dev (>= 3.48.0),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,

## evolution-ews 3.48.2

=== debian/changelog ===
evolution-ews (3.48.2-1) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * New upstream release
    - Bug Fixes:
      + Sometimes fails to delete recurring event occurrence
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/232)
      + Ask for OAuth2 credentials for autodiscovery
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/234)
  * Bump evolution and evolution-data-server build-dependencies to >= 3.48.2

  [ Jeremy Bícha ]
  * Release to unstable

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 29 May 2023 20:15:13 -0400

evolution-ews (3.48.1-1) experimental; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build dependencies to >= 3.48.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Apr 2023 15:15:48 +0200

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.48.0),
-               evolution-data-server-dev (>= 3.48.0),
-               libcamel1.2-dev (>= 3.48.0),
-               libedataserver1.2-dev (>= 3.48.0),
-               libebackend1.2-dev (>= 3.48.0),
-               libecal2.0-dev (>= 3.48.0),
-               libedata-cal2.0-dev (>= 3.48.0),
-               libebook1.2-dev (>= 3.48.0),
-               libedata-book1.2-dev (>= 3.48.0),
+               evolution-dev (>= 3.48.2),
+               evolution-data-server-dev (>= 3.48.2),
+               libcamel1.2-dev (>= 3.48.2),
+               libedataserver1.2-dev (>= 3.48.2),
+               libebackend1.2-dev (>= 3.48.2),
+               libecal2.0-dev (>= 3.48.2),
+               libedata-cal2.0-dev (>= 3.48.2),
+               libebook1.2-dev (>= 3.48.2),
+               libedata-book1.2-dev (>= 3.48.2),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,

## evolution-ews 3.49.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.48.0
+	VERSION 3.49.2
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== debian/changelog ===
evolution-ews (3.49.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 05 Aug 2023 04:51:59 -0400

evolution-ews (3.49.2-1) experimental; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.49.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 07:26:17 -0400

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.48.2),
-               evolution-data-server-dev (>= 3.48.2),
-               libcamel1.2-dev (>= 3.48.2),
-               libedataserver1.2-dev (>= 3.48.2),
-               libebackend1.2-dev (>= 3.48.2),
-               libecal2.0-dev (>= 3.48.2),
-               libedata-cal2.0-dev (>= 3.48.2),
-               libebook1.2-dev (>= 3.48.2),
-               libedata-book1.2-dev (>= 3.48.2),
+               evolution-dev (>= 3.49.2),
+               evolution-data-server-dev (>= 3.49.2),
+               libcamel1.2-dev (>= 3.49.2),
+               libedataserver1.2-dev (>= 3.49.2),
+               libebackend1.2-dev (>= 3.49.2),
+               libecal2.0-dev (>= 3.49.2),
+               libedata-cal2.0-dev (>= 3.49.2),
+               libebook1.2-dev (>= 3.49.2),
+               libedata-book1.2-dev (>= 3.49.2),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
